System.ServiceModel 4.0.0.0 System.ServiceModel.Dispatcher.MessageFilter System.Runtime.Serialization.DataContract

It is invalid to construct an with no actions.

This type is serializable as a .

Represents a query that tests whether the action of a message is one of a specified set of actions.

- Constructor
  4.0.0.0
  System.ParamArray

  If the array of provided to populate the contains duplicate actions, the duplicates are removed and only one of them is added to the . The of contained in the is accessed by the property and cannot be modified after the object is instantiated.

  Initializes a new instance of this class with the set of actions for which it tests.

  The that contains the set of actions for which the filter tests.
- Property
  4.0.0.0
  System.Collections.ObjectModel.ReadOnlyCollection<System.String> To be added.

  The actions in the read-only collection returned cannot be modified after the object is instantiated.

  Gets a read-only copy of action strings for which this tests.

- Method
  4.0.0.0
  System.ServiceModel.Dispatcher.IMessageFilterTable<FilterData>

  The method returns an instance of .

  This method is not intended to be called directly. If you require an instance of , create one by calling a constructor on the desired type of filter table. In general, s should be added to instances of .

  Creates a new filter table that tests efficiently on message actions.

  An object to which s and associated can be added.

  Data associated with the filters in the table.
- Method
  4.0.0.0
  System.Boolean ``

  Use this overload of when a message must be tested against the actions in a single filter and the is available.

  Tests whether a message's action matches one of the actions specified in this .

  true if the action header matches one of the specified actions; otherwise, false.

  The to test.
- Method
  4.0.0.0
  System.Boolean `` To be added.

  Use this overload of the method when a message must be tested against the actions in a single filter and the is available.

  Tests whether a buffered message's action header matches one of the actions specified in this .

  true if the action header matches one of the specified actions; otherwise, false.